Bug 779155 - (SOA-1550) Web Service without context-root inside ESB archive has inaccessible WSDL
Web Service without context-root inside ESB archive has inaccessible WSDL
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Documentation, JBossESB, Compatibility (Show other bugs)
5.0.0 ER1
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Default User
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-26 03:57 EDT by Lukáš Petrovický
Modified: 2010-09-09 12:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-09 12:01:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-1550 None None None Never

  None (edit)
Description Lukáš Petrovický 2009-10-26 03:57:34 EDT
Affects: Documentation (Ref Guide, User Guide, etc.), Release Notes
Date of First Response: 2010-02-09 01:05:44
project_key: SOA

See JBESB-2911.
Comment 1 Lukáš Petrovický 2009-10-26 03:57:52 EDT
Link: Added: This issue depends JBESB-2911
Comment 2 Lukáš Petrovický 2009-10-26 07:12:27 EDT
Link: Added: This issue depends JBPAPP-3002
Comment 3 David Le Sage 2010-02-09 01:05:44 EST
I have documented this for the Release Notes.  The draft version states:


A web service's WSDL will be invalid and return a 404 error if the web service is deployed
embedded within an ESB .jar archive and the .war does not contain the WEB-INF/jboss-
web.xml file.
Comment 4 Len DiMaggio 2010-02-22 12:57:44 EST
Affects: Added: [Documentation (Ref Guide, User Guide, etc.), Release Notes]

Note You need to log in before you can comment on or make changes to this bug.